Set tags
Replace the tags on a transaction. Send an empty array to clear them.
Request body
tagIdsarray of stringsrequired
Tag ids to assign.
POST/transactions/9da3aab1-be6c-4e6a-9b03-fd50e9aca541/set-tags
curl https://api.finwiseapp.io/transactions/9da3aab1-be6c-4e6a-9b03-fd50e9aca541/set-tags \-X POST \-H "Authorization: Bearer fw_..." \-H "Content-Type: application/json" \-d '{"tagIds":["e5ee2dcf-e45a-5190-be74-c0a032577767"]}'
const response = await fetch('https://api.finwiseapp.io/transactions/9da3aab1-be6c-4e6a-9b03-fd50e9aca541/set-tags', {method: 'POST',headers: {Authorization: 'Bearer fw_...','Content-Type': 'application/json',},body: JSON.stringify({"tagIds": ["e5ee2dcf-e45a-5190-be74-c0a032577767"]}),})const data = await response.json()
Response
{"id": "9da3aab1-be6c-4e6a-9b03-fd50e9aca541","createdAt": "2026-03-14T14:18:22.304Z","updatedAt": "2026-03-14T14:18:22.304Z","description": "Walmart","originalDescription": "WALMART STORE 1234","accountId": "94d2f962-d4e3-4c99-ab47-8c941cea012a","amount": {"amount": -56.12,"currencyCode": "USD"},"date": "2026-03-14T00:00:00.000Z","effectiveDate": null,"transactionCategoryId": "a00cb43b-ab06-447c-8aeb-527680b20a50","merchantId": "d4dd1cbe-d349-4089-ad63-b98921426656","parentTransactionId": null,"splits": null,"isManual": true,"isTransfer": null,"notes": null,"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45","archivedAt": null,"needsReview": null,"isPending": false,"pendingTransactionId": null,"linkedPlannedTransactionId": null,"linkedOccurrenceDate": null,"archiveReason": null,"transactionTags": [],"fileRecords": []}